Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class UIFactory.UIFactoryExt

    java.lang.Object
      com.sun.javatest.tool.UIFactory
          com.sun.javatest.tool.UIFactory.UIFactoryExt

Enclosing class:
  UIFactory

    public static class UIFactory.UIFactoryExt

extends UIFactory

Extension to the UIFactory that allows to use more than one resource bundle. All methods accessing the resource bundle are overridden to search for a resource in the alternative bundle first, and, if not found, look up it in the original one. This class might be helpful, when a component extends another components from a different package.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.UIFactory
`UIFactory.Colors, UIFactory.UIFactoryExt`

Field Summary

Fields inherited from class com.sun.javatest.tool.UIFactory
`CANCEL`

Constructor Summary
`UIFactory.UIFactoryExt(UIFactory uif, java.lang.Class altClass)`

Method Summary
`java.awt.Color` | `getI18NColor(java.lang.String key)` Get a color from the resource bundle.
`java.lang.String` | `getI18NString(java.lang.String key)` Get a string from the resource bundle.
`java.lang.String` | `getI18NString(java.lang.String key, java.lang.Object arg)` Get a string from the resource bundle.
`java.lang.String` | `getI18NString(java.lang.String key, java.lang.Object[] args)` Get a string from the resource bundle.

Methods inherited from class com.sun.javatest.tool.UIFactory
`addColorChangeObserver, addTab, addToolBarActions, createButton, createButton, createButton, createButton, createButton, createCancelButton, createCancelButton, createCheckBox, createCheckBox, createCheckBox, createCheckBoxMenuItem, createChoice, createChoice, createChoice, createChoice, createChoice, createChoice, createCloseButton, createCloseButton, createColorChooseButton, createDialog, createDialog, createDialog, createDialog, createFrame, createGlue, createHeading, createHelpButton, createHelpMenuItem, createHorizontalBox, createHorizontalGlue, createHorizontalStrut, createIcon, createIconButton, createIconButton, createIconLabel, createImage, createInputField, createInputField, createInputField, createInputField, createLabel, createLabel, createList, createList, createLiteralChoice, createLiteralMenuItem, createMenu, createMenu, createMenu, createMenuBar, createMenuItem, createMenuItem, createMessageArea, createMessageArea, createMessageArea, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createOutputField, createPanel, createPanel, createPanel, createPanel, createPopupMenu, createPopupMenu, createProgressBar, createProgressBar, createRadioButton, createRadioButtonMenuItem, createScrollPane, createScrollPane, createSlider, createSplitPane, createSplitPane, createTabbedPane, createTabbedPane, createTable, createTextArea, createTextArea, createTitledBorder, createToolBar, createToolBar, createToolBar, createWaitDialog, createWaitDialog, dispose, getBaseFont, getDefaultInputColor, getDotsPerInch, getHelpBroker, getI18NMnemonic, getI18NResourceBundle, getIconURL, getInvalidInputColor, getValidInputColor, initDialog, initFrame, initMenu, initMenu, initPanel, initPanel, setAccessibleDescription, setAccessibleDescription, setAccessibleInfo, setAccessibleInfo, setAccessibleName, setAccessibleName, setColorByName, setDefaultColors, setDefaultInputColor, setDialogParent, setHelp, setInvalidInputColor, setMnemonic, setToolTip, setValidInputColor, showCustomInfoDialog, showCustomYesNoDialog, showError, showError, showError, showError, showInformation, showInformationDialog, showInformationDialog, showLiteralError, showOKCancelDialog, showOKCancelDialog, showOKCancelDialog, showYesNoCancelDialog, showYesNoCancelDialog, showYesNoCancelDialog, showYesNoDialog, showYesNoDialog, showYesNoDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIFactory.UIFactoryExt

    public UIFactory.UIFactoryExt(UIFactory uif,
                                  java.lang.Class altClass)

Method Detail

### getI18NColor

    public java.awt.Color getI18NColor(java.lang.String key)

  Description copied from class: `UIFactory`
  Get a color from the resource bundle.

  Overrides:
    `getI18NColor` in class `UIFactory`
  Parameters:
    `key` - the base name of the resource to be returned
  Returns:
    the color identified in the resource

### getI18NString

    public java.lang.String getI18NString(java.lang.String key)

  Description copied from class: `UIFactory`
  Get a string from the resource bundle.

  Overrides:
    `getI18NString` in class `UIFactory`
  Parameters:
    `key` - the name of the resource to be returned
  Returns:
    the string that was found

### getI18NString

    public java.lang.String getI18NString(java.lang.String key,
                                          java.lang.Object arg)

  Description copied from class: `UIFactory`
  Get a string from the resource bundle.

  Overrides:
    `getI18NString` in class `UIFactory`
  Parameters:
    `key` - the name of the resource to be returned
    `arg` - an argument to be formatted into the result using `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`
  Returns:
    the formatted string

### getI18NString

    public java.lang.String getI18NString(java.lang.String key,
                                          java.lang.Object[] args)

  Description copied from class: `UIFactory`
  Get a string from the resource bundle.

  Overrides:
    `getI18NString` in class `UIFactory`
  Parameters:
    `key` - the name of the resource to be returned
    `args` - an array of arguments to be formatted into the result using `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`
  Returns:
    the formatted string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.